Loading...
Searching...
No Matches
XrdSfsAio Class Referenceabstract

`#include <XrdSfsAio.hh>`

Inheritance diagram for XrdSfsAio:
Collaboration diagram for XrdSfsAio:

## Public Member Functions

| XrdSfsAio ()
virtual | ~XrdSfsAio ()
virtual void | doneRead ()=0
virtual void | doneWrite ()=0
virtual void | Recycle ()=0

## Public Attributes

uint32_t * | cksVec
ssize_t | Result
struct aiocb | sfsAio
const char * | TIdent

## Detailed Description

Definition at line 58 of file XrdSfsAio.hh.

## Constructor & Destructor Documentation

## XrdSfsAio()

XrdSfsAio::XrdSfsAio | ( |  | ) |

inline

Definition at line 81 of file XrdSfsAio.hh.

{
#if defined(__APPLE__) && (!defined(MAC_OS_X_VERSION_10_4) || \
MAC_OS_X_VERSION_MAX_ALLOWED < MAC_OS_X_VERSION_10_4)
sfsAio.aio_sigevent.sigev_value.sigval_ptr = (void *)this;
#else
sfsAio.aio_sigevent.sigev_value.sival_ptr = (void *)this;
#endif
sfsAio.aio_sigevent.sigev_notify = SIGEV_SIGNAL;
sfsAio.aio_reqprio = 0;
cksVec = 0;
TIdent = "";
}
XrdSfsAio::cksVec
uint32_t * cksVec
Definition XrdSfsAio.hh:63
XrdSfsAio::TIdent
const char * TIdent
Definition XrdSfsAio.hh:67
XrdSfsAio::sfsAio
struct aiocb sfsAio
Definition XrdSfsAio.hh:62

References cksVec, sfsAio, and TIdent.

Referenced by XrdOssCsiFileAio::Init().

Here is the caller graph for this function:

## ~XrdSfsAio()

virtual XrdSfsAio::~XrdSfsAio | ( |  | ) |

inline virtual

Definition at line 93 of file XrdSfsAio.hh.

{}

## Member Function Documentation

## doneRead()

virtual void XrdSfsAio::doneRead | ( |  | ) |

pure virtual

Implemented in XrdCephBuffer::CephBufSfsAio, XrdOssCsiFileAio, and XrdXrootdAioBuff.

Referenced by aioReadCallback(), XrdOssDF::pgRead(), XrdSfsFile::pgRead(), XrdThrottle::File::pgRead(), XrdOssFile::Read(), XrdBwmFile::read(), XrdDigFile::read(), XrdOfsFile::read(), XrdSfsNativeFile::read(), XrdSsiFile::read(), XrdThrottle::File::read(), XrdCephBuffer::XrdCephBufferAlgSimple::read_aio(), and XrdOssAioWait().

Here is the caller graph for this function:

## doneWrite()

virtual void XrdSfsAio::doneWrite | ( |  | ) |

pure virtual

Implemented in XrdCephBuffer::CephBufSfsAio, XrdOssCsiFileAio, and XrdXrootdAioBuff.

Referenced by aioWriteCallback(), XrdOssCsiFile::Fsync(), XrdOssFile::Fsync(), XrdOfsFile::pgWrite(), XrdOssDF::pgWrite(), XrdSfsFile::pgWrite(), XrdThrottle::File::pgWrite(), XrdBwmFile::sync(), XrdOfsFile::sync(), XrdSfsNativeFile::sync(), XrdOssFile::Write(), XrdBwmFile::write(), XrdOfsFile::write(), XrdSfsNativeFile::write(), XrdSsiFile::write(), XrdThrottle::File::write(), XrdCephBuffer::XrdCephBufferAlgSimple::write_aio(), and XrdOssAioWait().

Here is the caller graph for this function:

## Recycle()

virtual void XrdSfsAio::Recycle | ( |  | ) |

pure virtual

Implemented in XrdCephBuffer::CephBufSfsAio, XrdOssCsiFileAio, XrdXrootdAioBuff, and XrdXrootdAioPgrw.

## Member Data Documentation

## cksVec

uint32_t* XrdSfsAio::cksVec

Definition at line 63 of file XrdSfsAio.hh.

Referenced by XrdSfsAio(), XrdXrootdAioPgrw::XrdXrootdAioPgrw(), XrdXrootdAioBuff::Alloc(), XrdXrootdAioPgrw::Alloc(), XrdOssCsiFileAio::Init(), XrdXrootdAioPgrw::noChkSums(), XrdOfsFile::pgRead(), XrdOssDF::pgRead(), XrdPssFile::pgRead(), XrdSfsFile::pgRead(), XrdThrottle::File::pgRead(), XrdOfsFile::pgWrite(), XrdOssCsiFile::pgWrite(), XrdOssDF::pgWrite(), XrdPssFile::pgWrite(), XrdSfsFile::pgWrite(), and XrdThrottle::File::pgWrite().

## Result

ssize_t XrdSfsAio::Result

Definition at line 65 of file XrdSfsAio.hh.

Referenced by XrdXrootdAioPgrw::XrdXrootdAioPgrw(), aioReadCallback(), aioWriteCallback(), XrdXrootdAioPgrw::Alloc(), XrdOssCsiFileAio::doneRead(), XrdOssCsiFileAio::doneWrite(), XrdOssCsiFile::Fsync(), XrdOssFile::Fsync(), XrdXrootdAioPgrw::iov4Send(), XrdOssDF::pgRead(), XrdSfsFile::pgRead(), XrdThrottle::File::pgRead(), XrdOfsFile::pgWrite(), XrdOssDF::pgWrite(), XrdSfsFile::pgWrite(), XrdThrottle::File::pgWrite(), XrdOssFile::Read(), XrdBwmFile::read(), XrdCephBuffer::CephIOAdapterAIORaw::read(), XrdDigFile::read(), XrdOfsFile::read(), XrdSfsNativeFile::read(), XrdSsiFile::read(), XrdThrottle::File::read(), XrdCephBuffer::XrdCephBufferAlgSimple::read_aio(), XrdBwmFile::sync(), XrdOfsFile::sync(), XrdSfsNativeFile::sync(), XrdXrootdAioTask::Validate(), XrdOssFile::Write(), XrdBwmFile::write(), XrdCephBuffer::CephIOAdapterAIORaw::write(), XrdOfsFile::write(), XrdSfsNativeFile::write(), XrdSsiFile::write(), XrdThrottle::File::write(), XrdCephBuffer::XrdCephBufferAlgSimple::write_aio(), and XrdOssAioWait().

## sfsAio

struct aiocb XrdSfsAio::sfsAio

Definition at line 62 of file XrdSfsAio.hh.

Referenced by XrdSfsAio(), XrdXrootdAioBuff::Alloc(), ceph_aio_read(), ceph_aio_read_complete(), ceph_aio_write(), ceph_aio_write_complete(), XrdOssCsiFileAioJob::DoItRead2(), XrdOssFile::Fsync(), XrdOssCsiFileAio::Init(), XrdXrootdAioPgrw::iov4Recv(), XrdXrootdAioPgrw::iov4Send(), XrdOfsFile::pgRead(), XrdOssDF::pgRead(), XrdPssFile::pgRead(), XrdSfsFile::pgRead(), XrdThrottle::File::pgRead(), XrdOfsFile::pgWrite(), XrdOssCsiFile::pgWrite(), XrdOssDF::pgWrite(), XrdPssFile::pgWrite(), XrdSfsFile::pgWrite(), XrdThrottle::File::pgWrite(), XrdCephOssBufferedFile::Read(), XrdOssFile::Read(), XrdPssFile::Read(), XrdBwmFile::read(), XrdDigFile::read(), XrdOfsFile::read(), XrdSfsNativeFile::read(), XrdSsiFile::read(), XrdThrottle::File::read(), XrdCephBuffer::XrdCephBufferAlgSimple::read_aio(), XrdXrootdAioBuff::Recycle(), XrdXrootdAioPgrw::Recycle(), XrdXrootdAioPgrw::Setup2Recv(), XrdXrootdAioPgrw::Setup2Send(), XrdXrootdAioTask::Validate(), XrdCephOssBufferedFile::Write(), XrdOssFile::Write(), XrdPssFile::Write(), XrdBwmFile::write(), XrdOfsFile::write(), XrdSfsNativeFile::write(), XrdSsiFile::write(), XrdThrottle::File::write(), XrdCephBuffer::XrdCephBufferAlgSimple::write_aio(), and XrdOssAioWait().

## TIdent

const char* XrdSfsAio::TIdent

Definition at line 67 of file XrdSfsAio.hh.

Referenced by XrdSfsAio(), XrdXrootdAioPgrw::XrdXrootdAioPgrw(), XrdOssFile::Fsync(), XrdOssCsiFileAio::Init(), XrdOssFile::Read(), XrdOssFile::Write(), and XrdOssAioWait().

The documentation for this class was generated from the following file:

- XrdSfsAio.hh